%global pypi_name maxminddb


Summary:        Reader for the MaxMind DB format
Name:           python-%{pypi_name}
Version:        2.2.0
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://www.maxmind.com/
Source0:        %{pypi_source}

BuildRequires:  gcc libmaxminddb-devel python3-devel pyproject-rpm-macros

%description
This is a Python module for reading MaxMind DB files.  The module includes both a pure Python reader
and an optional C extension. MaxMind DB is a binary file format that stores data indexed by IP
address subnets (IPv4 or IPv6).

%package -n python3-%{pypi_name}
Summary:        Reader for the MaxMind DB format

%description -n python3-%{pypi_name}
This is a Python module for reading MaxMind DB files.  The module includes both a pure Python reader
and an optional C extension. MaxMind DB is a binary file format that stores data indexed by IP
address subnets (IPv4 or IPv6).

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
sed -i "/mocket/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires -r -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst docs/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Shuo Wang <abushwang@tencent.com> - 2.2.0-1
- initial build
